#!/bin/bash
#
# IKARUS check for license script (c) 2015
#
#

output=`( echo "license list active"; sleep 1;) | telnet 127.0.0.1 15639 2>&1`

final=`echo $output | egrep -i -c "serial.*features.*mail"`

portlisten=`netstat -anp | egrep 15665.*secur -c`

if [[ $final == 1 && $portlisten == 1 ]]; then
	isset=`univention-config-registry get ikarus/gatewaysecurity-license-mail`
	if [ "$isset" != "true" ]; then
		univention-config-registry set ikarus/gatewaysecurity-license-mail=true
		univention-config-registry register ikarus-gatewaysecurity
	fi
else
	isset=`univention-config-registry get ikarus/gatewaysecurity-license-mail`
	if [ "$isset" == "true" ]; then
		univention-config-registry unset ikarus/gatewaysecurity-license-mail
		univention-config-registry register ikarus-gatewaysecurity
	fi
fi

